
=== 1128SMFix3.cs ===

=== 1118soundStopWhenDone-bf.cs ===
Change Set:		soundStopWhenDone-bf
Date:			10 November 2006
Author:			Bert Freudenberg

Set preferences to stop sound when done

=== 1108EnterNew-tak.cs ===
Change Set:		EnterNew-tak
Date:			27 October 2006
Author:			Takashi Yamamiya

In New button, make and enter the new project instead of just make.

=== 1107prefDir-bf.cs ===
Change Set:		prefDir-bf
Date:			26 October 2006
Author:			Bert Freudenberg

Look in image path for preferences

=== 1104SpTransForSplash3-tak.cs ===
Change Set:		SpTransForSplash3-tak
Date:			24 October 2006
Author:			Takashi Yamamiya

All (file list) and Recent (etoys launcher) are now opened the previous project of the Welcome project.

=== 1102specialTransFlap-tak.cs ===
Change Set:		specialTransFlap-tak
Date:			24 October 2006
Author:			Takashi Yamamiya

This is a support code for Yoshiki's back and enter idea of the Welcome project.
- Flaps are not hidden automatically in #finalEnterActions, but #storeOnServerAssumingNameValid. So global preference is never changed.


=== 1101specialTransFlap-yo.cs ===

=== 1100SpTransForSplash2-tak.cs ===
Change Set:		SpecialTransForSplash2-tak
Date:			23 October 2006
Author:			Takashi Yamamiya

to follow way if you click welcome button.
1) back to the previous project.
2) remove last one.
3) build and enter new project.

=== 1099SpecialTranForSplash-yo.cs ===

=== 1098detectWelcome-yo.cs ===
Change Set:		detectWelcome-yo
Date:			20 October 2006
Author:			Yoshiki Ohshima

A bit careful if Welcome is not available.

=== 1097olpcSetupMisc-yo.cs ===

=== 1096generateKeyMessage-yo.cs ===
Change Set:		generateKeyMessage-yo
Date:			20 October 2006
Author:			Yoshiki Ohshima

Friendlier message in security key generation.

=== 1095olpcSetupMisc-tak.cs ===
Change Set:		olpcSetupMisc-tak
Date:			20 October 2006
Author:			Takashi Yamamiya

Misc codes to make OLPC initial screen.
To set up,
ReleaseBuilderSqueakland new buildInitialScreenForOLPC.

- EToysLauncher is now works as a dialog.
- EventRecorder >> mergeTapes: is a utility method which I used to make Welcome project.
- #projectViewsInWindows is enable in cambridge theme.


=== 1094superSuper-tk.cs ===
Change Set:		superSuper-tk
Date:			19 October 2006
Author:			Ted Kaehler

Fixes a bug in HandMorphForReplay>>veryDeepCopyWith:.  I previously tried to say super super.  It does not work  Instead use: (self perform: selector withArguments: argArray inSuperclass: lookupClass)

=== 1093diismissRotatedMenu-sw.cs ===
Change Set:		diismissRotatedMenu-sw
Date:			18 October 2006
Author:			Scott Wallace

Fixes the bug that a dismiss of a rotated menu via the pink x in its title-bar would leave a pale green TransformationMorph behind on the screen -- an artifact that was not easy to get rid of

=== 1092rescindPaintBoxLocation.cs ===
Change Set:		rescindPaintBoxLocation
Date:			18 October 2006
Author:			Yoshiki Ohshima

As Takashi seems to be sleeping, rescind a method in #1089.

=== 1091prefChangeOct18-yo.cs ===
Change Set:		prefChangeOct18-yo
Date:			18 October 2006
Author:			Yoshiki Ohshima

disable mouse over halos.

=== 1090rescindSubmorphCopy-sw.cs ===
Change Set:		rescindSubmorphCopy-sw
Date:			18 October 2006
Author:			Scott Wallace

For safety, rescind the #submorphs implementation of update 1075.

=== 1089EVRecorderScketch-tak.cs ===
Change Set:		EVRecorderScketch-tak
Date:			18 October 2006
Author:			Takashi Yamamiya

- PaintBox for repaint is shown same place whenever screen size is changed.
- Last mouse button event on event recorder is trimmed.


=== 1088quadrangleFixes-sw.cs ===
Change Set:		quadrangleFixes-w
Date:			18 October 2006
Author:			Scott Wallace

Fixes two Quadrangle methods that got broken by recent backports.

=== 1087deleteAllHalos-yo.cs ===
Change Set:		deleteAllHalos-yo
Date:			18 October 2006
Author:			Yoshiki Oshima

In PasteUpMorph >> deleteAllHalos, remove the #halo property from the hands affected.

=== 1086EToysLauncher-tak.cs ===
Change Set:		EToysLauncher-tak
Date:			17 October 2006
Author:			Takashi Yamamiya

A Simple Etoys Project Launcher.

=== 1085noMenu-sw.cs ===
Change Set:		noMenu-sw
Date:			17 October 2006
Author:			Scott Wallace

Don't offer a menu in the window title bar of a CollapsedMorph when eToyFriendly is on.

=== 1084scriptingMenu-yo.cs ===
Change Set:		Yoshiki Ohshima
Date:			17 October 2006
Author:			Yoshiki Ohshima

tidy up the authoring tool menu a bit.

=== 1083kedamaFixOct17-yo.cs ===
Change Set:		kedamaFixOct17-yo
Date:			17 October 2006
Author:			Yoshiki Ohshima

The type is wrong.

=== 1082scriptcolor-yo.cs ===
Change Set:		scriptcolor-yo
Date:			16 October 2006
Author:			Yoshiki Ohshima

recolor the header part of scriptors.

=== 1081TRdirectionArrow-yo.cs ===
Change Set:		TRdirectionArrow-yo
Date:			16 October 2006
Author:			Yoshiki Ohshima

provides translation for 'direction handles'

=== 1080copyByCloning1-yo.cs ===
Change Set:		copyByCloning1-yo
Date:			16 October 2006
Author:			Yoshiki Ohshima

Eventually, these special cases are reversed; i.e., ArrayedCollection's default implementation for copy should use #clone, and the special cases such as Text provides customized ones.  But for now, this changeset adds methods to some frequently used classes.

=== 1079strikeFontSetOpt-yo.cs ===
Change Set:		strikeFontSetOpt-yo
Date:			16 October 2006
Author:			Yoshiki Ohshima

Following Eddie and Marcus suggestions, it provides a fast path for byte string rendering in StrikeFontSet.

=== 1078bytesymbolOct16.cs ===

=== 1077FasterMorphicProps2-yo.cs ===

=== 1076FasterMorphicProperties.cs ===
Change Set:		FasterMorphicProperties
Date:			16 October 2006
Author:			Marcus Denker

This changeset optimized Morphic property code for message sends
by not using accessors

=== 1075SubMorphCopy-md.cs ===
Change Set:		SubMorphCopy-md
Date:			16 October 2006
Author:			Marcus Denker

This is from 

Change Set:		MorphicPerformance1-efc
Date:			6 August 2005
Author:			Eddie Cottongim

-Change Morph>>submorphs to be non-copying. This seems to be the concensus on the squeak-dev list of the right thing to do. It doesn't provide a noticable boost in normal circumstances but with very large numbers of morphs it prevents a lot of scaling problems.

I did not include the other changes, as there are clashes with other changes in OLPC


=== 1074ShortCutNew-md.cs ===
Change Set:		ShortCutNew-md
Date:			15 October 2006
Author:			Marcus Denker

In Squeak 3.8 (and thus OLPC Squeak), we changed Squeak to call #initialize by default 
on #new. 

The attached changeset fixes some instance creation methods (e.g.of  Rectangle,  
LookupKey, Point) to not call #new (as there is no initialize method), but use 
#basicNew instead, thus saving a lookup and call to the empty #initialize method.

=== 1073RemoveFlag-md.cs ===
Change Set:		RemoveFlag-md
Date:			16 October 2006
Author:			Marcus Denker

This just removed a 
	self flag: #bob

from WorldState>>doOneCycleNowFor:. There are other calls to #flag done in the
main rendering loop, these are not fixed with the changeset.

=== 1072chgTwoDefaults-sw.cs ===
Change Set:		chgTwoDefaults-sw
Date:			14 October 2006
Author:			Scott Wallace

(1)  Set the preference governing whether the ESC key puts up a menu to the intended setting for the actual build, which is off.

(2)  Make the default setting for the 'automaticPhraseExpansion' on a BookPage be true; formerly, it was only true for Worlds and in 'scripting areas'.

=== 1071bookSaveRevert-sw.cs ===
Change Set:		bookSaveRevert-sw
Date:			16 October 2006
Author:			Scott Wallace

Combining the best things about the two different schemes for save and revert.
Revert page and revert-all-pages are now available in Viewers for books.
When the short form of the control panel is showing for a BookMorph, the menu is also now a shorter form; this is typically the user's menu as opposed to the author's menu

=== 1070cleanupPlayers-yo.cs ===
Change Set:		cleanupPlayers-yo
Date:			15 October 2006
Author:			Yoshiki Ohshima

Preliminary changes for better project clean up.  One question is that StandardScriptingSystem removePlayersIn: outgoingProject should be called each time the project is deleted or not.  I think it should, but so far I'm on the safe side.

=== 1069dynamicMenuButton-yo.cs ===
Change Set:		dynamicMenuButton-yo
Date:			15 October 2006
Author:			Yoshiki Ohshima

This lets you show and hide menu buttons in scroll bars dynamically.  The choice can be made per scroll bar basis now.

=== 1068simplerFormServices-yo.cs ===
Change Set:		simplerFormServices-yo
Date:			15 October 2006
Author:			Yoshiki Ohshima

Don't show ImageImports and set background options in 'find any file' dialog.

=== 1067feedbackInScriptor4-yo.cs ===
Change Set:		feedbackInScriptor4-yo
Date:			14 October 2006
Author:			Yoshiki Ohshima

Another round of tile mouse over feedback.

* For most of the command, it hightlights only the draggable part.  (However, even if you move your mouse over the argument number, the body part gets highlighted).

* The highlight goes right infront of the highlightee.

* Redundant event handlers removed.

* unused methods removed.

There are still some weirdness remain. Not sure when, but to address it the right thing to do is insert an intermediate morph with mouseover event handler between PhraseTileMorph and current submorphs.  It'll break stuff.  Also, we should reuse the highlight morph so that when the z-order doesn't change, we don't have to remove and add a lot of morphs.


=== 1066GreenDialog-tak.cs ===
Change Set:		GreenDialog-tak
Date:			14 October 2006
Author:			Takashi Yamamiya

Loading / saving dialog like green viewer.

=== 1065escapeEscapeMenu-sw.cs ===
Change Set:		escapeEscapeMenu-sw
Date:			12 October 2006
Author:			Scott Wallace

When recording with the EventRecorder, it is convenient to hit the ESC key to stop recording.  But when using ESC for this purpose, it is an inconvenience to be confronted with a gratuitous world menu popping up as a concomitant.  So this update adds a preference, 'escapeKeyProducesMenu', to govern whether a menu should be put up in response to ESC.

By default, the preference is set to true for the time being.  When using the event recorder, switch the preference off.

=== 1064FasterRectangelInsetBy.cs ===
Change Set:		FasterRectangelInsetBy
Date:			2 October 2005
Author:			Marcus Denker

Rectangle insetBy: was testing with isKindOf: to check if the parameter is
a Rectangle or not. This means, we search up the inheritance hierarchy
for each insetBy with the parameter beeing a point or an Integer... changing
isKindOf: to isRectangle makes insetBy: around 25% faster for Integers

=== 1063FasterMorphInvalid-md.cs ===
Change Set:		FasterMorphicInvalidation-md
Date:			13 October 2006
Author:			Marcus Denker

Morph>>invalidRect:from: was testing for wonderland textures (which where stored in a property...).

This changeset removes those tests

=== 1062FlapTab.cs ===
Change Set:		FlapTab
Date:			13 October 2006
Author:			Michael Latta, small fix: Marcus Denker

md:
	- added preamble.
	- merged with change in setEdge:.

When working with some performance tests I noticed that FlapTab was 
consuming too much time repositioning itself when morphs in the world 
view resized. The attached change list cuts the time for 
FlapTab>>ownerChanged by about 33%. With 9 tabs on my image it 
amounted to a 3% overall improvement. The changes involve testing for 
position changes before making them so it does not reposition to the 
same location, and using symbols rather than strings, and == rather 
than collection>>includes:.

=== 1061DictionaryScanFor-md.cs ===
Change Set:		DictionaryScanFor-md
Date:			13 October 2006
Author:			Marcus Denker

remove unneeded calls to #size in all #scanFor: methods of Sets and Dictionaries

=== 1060JMMRemExtraIndexCheck.cs ===
Change Set:		JMMRemoveExtraIndexCheck
Date:			13 October 2006
Author:			John McIntosh, small change by Marcus Denker

md: - changed #first
	 - removed #checkedAt:
	- added Preamble

Use of method accessors that resolve to at: are expensive and contain uneeded code. 


=== 1059cleanupServers2-yo.cs ===
Change Set:		cleanupServers2-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

One more attempt to clean up the servers list.  What was wrong was that the data read from the local prefs is mixed into the Servers class var.  A person can create an image with unintended servers read from his local disk and not knowingly give it to other people.

With this patch, locally read server and directory info is kept in different data structure which is always cleared upon saving.  IOW, one has to explicitly add important entries by hand.

  During testing, one might still see some strange entries read from the local preference.  However, if we package the VM without any prefs files, the user should see only internally stored servers.


=== 1058disableProjDlgMenus-yo.cs ===
Change Set:		disableProjectDialogMenus-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

Disable the menus in Project Dialogs.

=== 1057lazyViewer-yo.cs ===
Change Set:		lazyViewer-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

unhibernation for viewers gets lazily.  After saving a project for example, all viewers in a project is hibernated.  The system used to recreate all viewers after saving is done, even 'closed' ones.  Since creating a viewer takes about a 2.5 seconds, a project with, say, 5 viewers spend 12.5 seconds to do some invisible stuff for every saving.

I think the code is pretty solid, but there might be some cases that the lazy unhibernation is bypassed.  If you see such thing, please let me know.


=== 1056scriptorMenu4-yo.cs ===
Change Set:		scriptorMenu4-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

Following the suggestion by Kim (and with small modification), the menu is revisited.

=== 1055LessBorder-tak.cs ===
Change Set:		LessBorder-tak
Date:			12 October 2006
Author:			Takashi Yamamiya

- Based on Alan's email 'A few comments and questions about current design' Sep 19, I tried to change some borders & colors.
- Script buttons' order becomes as Alan's suggestion
(dismiss) (name) (exclamation) (clock) (button) (test) (menu)
- Rounded corners in etoys are toggled by roundedWindowCorners preference.
- 'Menu Triangle' icon was clean up.
- remove #addThinShadow.
- remove #maybeAddArrowsTo:.



=== 1054biggerFITB-yo.cs ===
Change Set:		biggerFITB-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

Use menufont for FillInTheBlank.  I'd say FITB is kind of a menu, but there may be different opinions.  It has some issues with very long query text.

=== 1053waitCursorKedamaInst-yo.cs ===
Change Set:		waitCursorKedamaInst-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

Put up wait cursor when creating Kedama.

=== 1052frTranslation.cs ===

=== 1051cleanupServers-yo.cs ===
Change Set:		cleanupServers-yo
Date:			12 October 2006
Author:			Yoshiki Ohshima

This changesets removes the servers (ServerDirectory servers) other than 'OLPC'.  Then adds a method that filters out directories that are not for project sharing.  In the future, we would like to add another list (possibly a class var) that controls the filtering in a better way, but so far we live with it.

=== 1050ttccache-ar.cs ===
Change Set:		ttccache-ar
Date:			11 October 2006
Author:			Andreas Raab and Yoshiki Ohshima

Andreas' change at: http://impara.de/pipermail/tweak/2005-August/000881.html is folded into our image.  It relies on the new and correct behavior of weak references.

=== 1049noServerSearch-yo.cs ===
Change Set:		noServerSearch-yo
Date:			11 October 2006
Author:			Yoshiki Ohshima

disable the search feature.

=== 1048fontOpt-yo.cs ===
Change Set:		fontOpt-yo
Date:			11 October 2006
Author:			Yoshiki Ohshima

Text rendering becomes faster a bit.  Includes my reinvention of some stuff formerly done by Eddie Cottongim and others.

=== 1047kedamacategories-yo.cs ===
Change Set:		kedamacategories-yo
Date:			11 October 2006
Author:			Yoshiki Ohshima

Bring Kedama's viewer somewhat up to date.

=== 1046haloFix-sw.cs ===
Change Set:		haloFix-sw
Date:			11 October 2006
Author:			Scott Wallace

Fixes a bug from update 1044 which broke bringing up the halo on a playfield...

=== 1045saveRevertAlt-sw.cs ===
Change Set:		saveRevertAlt-sw
Date:			11 October 2006
Author:			Scott Wallace

Not yet a merging and resolution of the two schemes.  But Ted's scheme is now presented in the book menu in a manner consistent with the design principles of the menu...

=== 1044isPlayfieldLikeFixes-sw.cs ===
Change Set:		isPlayfieldLikeFixes-sw
Date:			10 October 2006
Author:			Scott Wallace

Introduces a separate protocol, #defersHaloToInterior, by which objects such as PasteUpMorphs and BookMorphs can now declare an eagerness to defer a first-blue-click to a nested submorph, for the purpose of a desktop-like feel to the halo logic.

Having done that, reverts #isPlayfieldLike to its intended duty of truly indicating a PasteUpMorph or workalike.

This update fixes approximately twenty bugs, which got indirectly introduced (into virtually every sender of #isPlayfieldLike *other* than the one concerned with halo logic) by update 1003HaloOrderInBook ;=)

=== 1043haloDefaults-sw.cs ===
Change Set:		haloDefaults-sw
Date:			10 October 2006
Author:			Scott Wallace

Turn mouseOverHalos and biggerHandles options on for the desktop.  This will result in halos being put up automatically for SketchMorphs on the desktop.

Likewise, turn the local mouseOverHalos option of playfields/holderes/bookpages.

Note that, when the option is turned on, the mouseover halos only pop up for SketchMorphs.   This has always been true of the mouse-over-halo logic on the desktop, but with this update it is also applied to nested pasteups (e.g. book pages) that have the option turned on.

=== 1042bookMenuTweaks-sw.cs ===
Change Set:		bookMenuTweaks-sw
Date:			11 October 2006
Author:			Scott Wallace

Change the terminology for the toggle item in the book menu that describes whether the current page has private-scripting-space behavior (i.e. stop-step-go buttons within its interior will govern only objects within it.
Provide balloon help for all the toggle items in the book menu.

=== 1041DrawBackground-tak.cs ===
Change Set:		DrawBackground-tak
Date:			10 October 2006
Author:			Takashi Yamamiya

New brush feature which allows you to draw a line on background of current painting.
This is for Alan's request.

- Shift + drag enables it in painting brush tool.
- Appropriate UI is needed after enough testing.


=== 1040lookLikeBox-yo.cs ===
Change Set:		lookLikeBox-yo
Date:			10 October 2006
Author:			Yoshiki Ohshima

Tentative measure for the bug when a look like tile is used and the project is being saved.

=== 1039sugarQuit-bf.cs ===
Change Set:		sugarQuit-bf
Date:			10 October 2006
Author:			Bert Freudenberg

- Quit Squeak on QUIT msg
- start Nebraska on SHARE msg

=== 1038fixupColorPicker-yo.cs ===
Change Set:		fixupColorPicker-yo
Date:			9 October 2006
Author:			Yoshiki Ohshima

pre-create the color chart for paint box.

=== 1037revert-bookMorph-tk.cs ===
Change Set:		revert-bookMorph-tk
Date:			22 September 2006
Author:			Ted Kaehler

Allows a book page to be reverted.  This means replace the current page with a clean copy that was saved earlier.
	 A normal book only has pages and cannot revert a page.  After a user chooses 'Save page for later revert' or 'Save all pages for revert', copies of pages are saved.  The book has the property pagesForRevert holding these.  The user can ask to revert a page after messing it up.  Good for tutorials.  Only authors are expected to choose the menu items to preserve pages (which calls saveForRevert).
	How it works:  a page can have the property revertKey.  This is an index into the journal OrceredCollection pagesForRevert in the book.  The order is not the same as the order of the pages in the book.  Pages can be sorted, and each page's revertKey still points to it's master page in pagesForRevert.
	Revert and save are not done automatically.  The user or author must choose Revert or Save.
	Revert uses veryDeepCopy to copy the page from pagesForRevert to pages.  Save uses veryDeepCopy to copy the page from pages to pages ForRevert.
	There is a SaveAll command for an author to copy all pages to pagesForRevert.
	There is a command RevertAll.  This could be used when a new child starts a tutorial.


=== 1036someFixForViewer-yo.cs ===
Change Set:		someFixForViewer-yo
Date:			7 October 2006
Author:			Yoshiki Ohshima

It fixes the initial x position of viewer.
It changes the region enclosed by Cursor>>showWhile:.
It reduces the scanning of some data structure upon creation of a viewer.  Overall, it reduces some 5-10% time.  There are many similar small areas we can improve...


=== 1035byteSymbolHash-yo.cs ===
Change Set:		byteSymbolHash-yo
Date:			7 October 2006
Author:			Yoshiki Ohshima

use primitive properly.

=== 1034TextPropertyHandle-yo.cs ===
Change Set:		TextPropertyHandle-yo
Date:			7 October 2006
Author:			Yoshiki Ohshima

Change the behavior of pink handle for text.  Clicking and shift-click do more useful things.

=== 1033colorsee3-yo.cs ===
Change Set:		colorsee3-yo
Date:			6 October 2006
Author:			Yoshiki Ohshima

one more fix for color palette.

=== 1032bookMorphOverhaul-sw.cs ===
Change Set:		bookMorphOverhaul-sw
Date:			6 October 2006
Author:			Scott Wallace

Incorporation of a 'master pages' feature for BookMorphs, affording save and revert on both a per-page and an entire-book basis.
Allows any book page to have a 'private presenter', like a ScriptingSpace does.
A considerable reworking of the BookMorph menu.


=== 1031worldPlayerList-sw.cs ===
Change Set:		worldPlayerList-sw
Date:			6 October 2006
Author:			Scott Wallace

* When a book goes to a new page, forces a rebuild of the surrounding world's player-list, so that various authoring tools will obtain an updated player-list next time they ask.
* A 'gallery of players' which resides within a scripting area (or more generally within any paste-up which has a private presenter, will now report only on players resident in that area.
* Assures player-list cache up to date when launching some authoring tools. 

=== 1030miscFixes-sw.cs ===
Change Set:		miscFixes-sw
Date:			6 October 2006
Author:			Scott Wallace

Bulletproofs a HandMorph method and a Morph method against the prospect of an ownerless hand, which can happen with event-replay.
The popups for the follow... and sent... buttons in the Lexicon were not honoring the deepSenders preference.
Fixes PasteUpMorph >> correspondingFlapTab so that it will work for flaps that cling to  the periphery of some inner pasteup rather than the World.
Bulletproofs HaloMorph>>addNameBeneath:string:  against halos associated with orphaned hands.

=== 1029FixPainter-tak.cs ===
Change Set:		FixPainter-tak
Date:			6 October 2006
Author:			Takashi Yamamiya

Small fixes for paint tool.

- Last color is rememberd after fill.
- Last color is rememberd in new paint tool.
- Last brush size is rememberd in new paint tool.
- BrushMap in 0933paintBoxChanges-sw is reverted because it caused a mismatch selected brush button and actual brush size when a paint box was start to use.


=== 1028lockedTransformed-yo.cs ===
Change Set:		lockedTransformed-yo
Date:			5 October 2006
Author:			Yoshiki Ohshima

Make sure TransformationMorph on a locked or sticky one honor the property.

=== 1027straysFix-sw.cs ===
Change Set:		straysFix-sw
Date:			4 October 2006
Author:			Scott Wallace

Fixes the bug from update 1993HaloOrderInBook-tak, in which invoking 'round up strays' on a playfield that had a BookMorph embedded within it would generate an error.

=== 1026scriptStatiExpl-sw.cs ===
Change Set:		scriptStatiExpl-sw
Date:			3 October 2006
Author:			Scott Wallace

Relocate the script-status explanation from a System Window to our new style of dismissable help panel.

=== 1025evalFix-sw.cs ===
Change Set:		evalFix-sw
Date:			4 October 2006
Author:			Scott Wallace

Obviate the changes-log entries of the form 'do it: nil' arising from evaluating, for example, submissions of class definitions.

=== 1024chgSorterKeyFix-sw.cs ===
Change Set:		chgSorterKeyFix-sw
Date:			28 September 2006
Author:			Scott Wallace

Fixes the bug that issuing a cmd-c or cmd-t to a message-list pane of a ChangeSorter that is not lodged inside a dual change sorter would generate an error.

=== 1023retrasheePosition-sw.cs ===
Change Set:		retrasheePosition-sw
Date:			3 October 2006
Author:			Scott Wallace

Fixes the bug reported by Abe-san that when you trash an object, then manually remove it, then retrash it (via the dismiss handle), it is typically not visible on the (reused) trash-bin page to which it is assigned.

=== 1022repositionViewer-yo.cs ===
Change Set:		repositionViewer-yo
Date:			3 October 2006
Author:			Yoshiki Ohshima

When a viewer is opened second time, its position (right offset) was not correct.

=== 1021handleFastCR-yo.cs ===
Change Set:		handleFastCR-yo
Date:			2 October 2006
Author:			Yoshiki Ohshima

Handles fast-typed enter key in watchers and viewers.  To reproduce the problem that this change set addresses, create a huge morph, rotate the morph by a script, click on a number entry in the viewer, and type '0' and 'enter' really quickly.

=== 1020publishStreamline-sw.cs ===
Change Set:		publishStreamline-sw
Date:			2 October 2006
Author:			Scott Wallace

Two custom changes to update-publishing code, to streamline the process for publishing OLPC updates.  You no longer need to choose OLPC from a list of update-server-groups, and you no longer have to be confronted with the warning that this would be an update for a version that is not the latest version.

=== 1019testTileResizing-sw.cs ===
Change Set:		testTileResizing-sw
Date:			2 October 2006
Author:			Scott Wallace

Fixes the horizontal-resizing behavior of test naked on the desktop, i.e. not within a script.

=== 1018searchPane-sw.cs ===
Change Set:		searchPane-sw
Date:			2 October 2006
Author:			Scott Wallace

Speed up Viewer launch by populating the Search Pane not with a PluggableTextMorph but rather with a simple UpdatingStringMorph.

=== 1017largerThumbnails-sw.cs ===
Change Set:		fatterThumbnails-sw
Date:			2 October 2006
Author:			Scott Wallace

Enforce a minimum width for a thumbnail, to keep the thinner of them (such as the Slider) from virtually vanishing on the olpc screen.  Formerly, thumbnails could be arbiitrariy slender.

Also, marginally increase the enforced minimum *height* of a thumbnail.

Note that this update rebuilds all the thumbnails in the Objects catalog as well as those in the supplies flap.

=== 1016blueFileDlgs-sw.cs ===
Change Set:		blueFileDlgs-sw
Date:			29 September 2006
Author:			Scott Wallace

Try one size smaller font in the blue file-lists, and use only black text in headings.

=== 1015textcolor2-yo.cs ===
Change Set:		textcolor2-yo
Date:			29 September 2006
Author:			Yoshiki Ohshima

change color: to textColor: in StringMorphEditor.

=== 1014BiggerPaintPicker-ka-yo.cs ===
Change Set:		BigPaintBoxColorPicker-ka-yo
Date:			22 September 2006
Author:			Kazuhiro Abe

Larger (2x) color picker for PaintBox.

=== 1013scriptorMenu2-yo.cs ===
Change Set:		scriptorMenu2-yo
Date:			28 September 2006
Author:			Yoshiki Ohshima

revisit the scriptor menu.  When coming back to tiles from textually edited code, it asks the confirmation (as it used to do).  Also, the dangerous items are moved down in the menu. 

=== 1012textcolor1-yo.cs ===
Change Set:		textcolor1-yo
Date:			28 September 2006
Author:			Yoshiki Ohshima

Enables to change the color of text and its background color.  From the red halo menu, under 'fill style', you have change color... and change text color choices.  In the viewer, 'color' corresponds to the text color, and background color corresponds to background color.

This change cause some incompatibility.  There were a few TextMorph>>color: invocations that were intended to change the color of text.  However, it has been inconsistent with other use of color:, and was causing problems.  Now, color: is equivalent of backgroundColor: and to change the color of text, you have to call textColor:.  textColor only changes the color of selected part but if there is no selection, entire text gets changes.

=== 1011blueFileDialogs-sw.cs ===
Change Set:		blueFileDialogs-sw
Date:			28 September 2006
Author:			Scott Wallace

Font & color changes for the four relevant blue file dialogs.
Sort their file lists in alphabetical order.  
Desist from using gradient fills in the blue dialogs.
Bulletproof some button-actions in the find-any-file tool against empty selectioin.

=== 1010worldRedHaloMenu1-yo.cs ===
Change Set:		worldRedHaloMenu1-yo
Date:			27 September 2006
Author:			Yoshiki Ohshima

Bring some useful stuff from the World menu to the red halo menu of the World.  The ordering in the menu is messy.  It needs clean up in future.

=== 1009rotationSwitch-yo.cs ===
Change Set:		rotationSwitch-yo
Date:			26 September 2006
Author:			Yoshiki Ohshima

revert the change so that changeDirectionHandles is shown in the red-halo menu.

=== 1008prepareForBorder-yo.cs ===
Change Set:		prepareForBorderChange-yo
Date:			26 September 2006
Author:			Yoshiki Ohshima

For future exploration, the drop zone tracking honors the borderWidth.

=== 1007frameAndClock.cs ===
Change Set:		frameAndClock
Date:			26 September 2006
Author:			Yoshiki Ohshima

One more try to increse the font size for frame rate and clock.

=== 1006ViewerMisc-tak.cs ===
Change Set:		ViewerMisc-tak
Date:			26 September 2006
Author:			Takashi

- Eliminate big space between arrowheads and number.
- Be wider numeric tiles
- Swap 'v' and '+' button on top of a viewer.


=== 1005dismissableHelpText-sw.cs ===
Change Set:		dismissableHelpText-sw
Date:			25 September 2006
Author:			Scott Wallace

Present help text within a dismissable, draggable, scrollable morph.

=== 1004suppressPopUps-sw.cs ===
Change Set:		suppressPopUps-sw
Date:			25 September 2006
Author:			Scott Wallace

Suppress popups on read-only slot readouts in Viewers, such as for isUnderMouse.

=== 1003HaloOrderInBook-tak.cs ===
Change Set:		HaloOrderInBook-tak
Date:			23 September 2006
Author:			Takashi Yamamiya

A halo is shown for inner morph on a page.

- #wantsHaloFromClick is used to on first blue button..
- #wantsTransfarHaloFromClick is used on after second blue button.


=== 1002SoundRecAndPlay-yo.cs ===
Change Set:		SoundRecAndPlay-yo
Date:			23 September 2006
Author:			Yoshiki Ohshima

With Ian's VM fix, we should now be able to do sound recording and playing simultaneously.  This change set enables it in the image side.

=== 1001Paint4Buttons-ka-yo.cs ===
Change Set:		PaintBox4Buttons-abee-yo
Date:			22 September 2006
Author:			Kazuhiro Abe and Yoshiki Ohshima

Installs Abe-san's artwork for 4 buttons in PaintBox.

=== 1000easierdropTrack-yo.cs ===
Change Set:		easierdropTrack-yo
Date:			23 September 2006
Author:			Yoshiki Ohshima

Four things are combined in this change set.  One is to suppress the annoying StringMorph resizing when you edit the field.  Second is to expand the dropzone horizontally.  Third is to ease dropping a phrase between two tiles.  On the course of these changes, the method organization around trackDropZone is slightly modified.  Among others, it avoid scanning all submorphs every time to update the spacers.  The performance gain with this change is yet to measure.

=== 0999Paint-stamps-tk.cs ===
Change Set:		Paint-stamps-tk
Date:			20 September 2006
Author:			Ted Kaehler

	Make PaintBox remember stamps between paintings.  Color history is already remembered in PaintBoxMorph class variable RecentColors.
	Stamps and their thumbnails are saved in the PaintBoxMorph Prototype.
     When copy the Prototype and initialize it, recreate the buttons that hold the thumbnails.
	All painting sessions in this Squeak image share the same stamps.  A stamp can be deleted at any time by clicking on the stamp and then clicking on the trashcan.
	We assume that the user will not save his image with messy stamps in it.  (We can offer a clear-all-stamps command later.)


=== 0998trashCanIcon-sw.cs ===
Change Set:		trashCanIcon-sw
Date:			22 September 2006
Author:			Scott Wallace

Establish a more appropriately-sized icon for the trash can.

=== 0997allScriptsHelp-sw.cs ===
Change Set:		allScriptsHelp-sw
Date:			22 September 2006
Author:			Scott Wallace

Strip the help-info for the All Scripts tool out from a window, and render it in the larger font in general use for olpc.

=== 0996objCatHelpAgain-sw.cs ===
Change Set:		objCatHelpAgain-sw
Date:			22 September 2006
Author:			Scott Wallace

Incorporates Kim's revised help-text for the objects catalog.

=== 0995sugar-bf.cs ===
Change Set:		sugar-bf
Date:			20 September 2006
Author:			Bert Freudenberg

Fetch commands from Sugar in a background process. Just output to Transcript for now.
PostScript installs the launcher

=== 0994BoldMathOps-yo.cs ===
Change Set:		BoldMathOps-yo
Date:			21 September 2006
Author:			Yoshiki Ohshima

Make mathematical operators bold.

=== 0993rotNoSmoothing-yo.cs ===
Change Set:		rotNoSmoothing-yo
Date:			21 September 2006
Author:			Yoshiki Ohshima

No Smoothing on rotating bitmaps.

=== 0992objectsCatalogHelp-sw.cs ===
Change Set:		objectsCatalogHelp-sw
Date:			21 September 2006
Author:			Scott Wallace

Present the help text for the Objects catalog in a larger an bolder font, and place it centered on the screen and *not* in a window.

=== 0991FixFont2-yo.cs ===
Change Set:		FixSavedScriptorFont2-yo
Date:			21 September 2006
Author:			Yoshiki Ohshima

This is recurring problem because of the use of emphasized: and emphasis:.

=== 0990noStackNav-sw.cs ===
Change Set:		noStackNav-sw
Date:			21 September 2006
Author:			Scott Wallace

Eliminate the stack-navigation category from pasteUpMorphs' viewers.

=== 0989projectViewLayout-sw.cs ===
Change Set:		projectViewLayout-sw
Date:			21 September 2006
Author:			Scott Wallace

Don't put ProjectViews into windows, and don't let them pile up all at the same place on the desktop.  Instead, lay them out left-to-right and then top-to-bottom in a nonoverlapping fashion.

=== 0988ZeroColorPicker2-yo.cs ===
Change Set:		ZeroColorPicker2-yo
Date:			21 September 2006
Author:			Yoshiki Ohshima

Only take out palette from color tiles that can go to test part of test tiles.

=== 0987boldFlapFont-sw.cs ===
Change Set:		boldFlapFont-sw
Date:			21 September 2006
Author:			Scott Wallace

Embolden flap tabs.

=== 0986morphExtPlus-sw-yo.cs ===
Change Set:		morphExtensionPlus-sw-yo
Date:			20 September 2006
Author:			Scott Wallace and Yoshiki Ohshima

To reduce the # of dictionaries in projects, we moved a few other properties to other places.

=== 0985viewerCategoryHeader-sw.cs ===
Change Set:		viewerCategoryHeader-sw
Date:			20 September 2006
Author:			Scott Wallace

Remove the next-cat/prev-cat items from the header of CategoryViewers.
Put a down-facing black caret at the left of the button in the category-viewer's header, and left-justify the category name just to the right of it.

=== 0984VButtonsBeRight-tak.cs ===
Change Set:		VButtonsBeRight-tak
Date:			20 September 2006
Author:			Takashi Yamamiya

Move add category, menu, and add variable buttons to right.

=== 0983differentColor-yo.cs ===
Change Set:		differentColor-yo
Date:			20 September 2006
Author:			Yoshiki Ohshima

Scott suggested to use different colors for color sees.

=== 0982ZeroColorPicker1-yo.cs ===
Change Set:		ZeroColorPicker1-yo
Date:			20 September 2006
Author:			Yoshiki Ohshima

This is a tentative measure to suppress color picker rainbow palette.  It should be combined with stronger modal behavior to make it more usable on a slow computer.

=== 0981droppedTestTile-sw.cs ===
Change Set:		droppedTestTile-sw
Date:			20 September 2006
Author:			Scott Wallace

When a TEST tile just grabbed from a Viewer is dropped on the desktop, it will now expand to a new script consisting of just that Test complex.

=== 0980ScriptorKimsIdea-tak.cs ===
Change Set:		ScriptorKimsIdea-tak
Date:			20 September 2006
Author:			Takashi Yamamiya

- revert to one line header.
- remove destroy button.


=== 0979embedNameForWorld-yo.cs ===
Change Set:		embedNameForWorld-yo
Date:			19 September 2006
Author:			Yoshiki Ohshima

Show world in the embed into list.

=== 0978colorSeesInViewer-yo.cs ===
Change Set:		colorSeesInViewer-yo
Date:			19 September 2006
Author:			Yoshiki Ohshima

Make ColorSees in viewer look more real.

=== 0977biggerHelpFont-sw.cs ===
Change Set:		biggerHelpFont-sw
Date:			19 September 2006
Author:			Scott Wallace

Use a larger bitmapped font for balloon help.

=== 0976paintArea-sw.cs ===
Change Set:		paintArea-sw
Date:			19 September 2006
Author:			Scott Wallace

Speculatively turn the unlimitedPaintArea preference off for the olpc, as per agreement yesterday.

=== 0975SimplerSaveProgress1-yo.cs ===
Change Set:		SimplerSaveProgress1-yo
Date:			19 September 2006
Author:			Yoshiki Ohshima

Show slightly simplified progress bar upon saving.  It doesn't show meaningful bar as much as it can, but should be enough.

  By coupling the idea of lazy creation of viewers, it should look a bit better.

=== 0974soundSliderColor-sw.cs ===
Change Set:		soundSliderColor-sw
Date:			19 September 2006
Author:			Scott Wallace

Speculatively makes the knob of the navbar's sound-slider black rather than orange.

=== 0973showNavBarChg-sw.cs ===
Change Set:		showNavBarChg-sw
Date:			19 September 2006
Author:			Scott Wallace

Proactively force the changed nav-bar to show.

=== 0972ScriptorAbeIdea-tak.cs ===
Change Set:		ScriptorAbeIdea-tak
Date:			19 September 2006
Author:			Takashi Yamamiya

scriptor design based on Abe-san's idea.

=== 0971prevInNav-yo.cs ===
Change Set:		prevInNav-yo
Date:			18 September 2006
Author:			Yoshiki Ohshima

Puts back <PREV button for now.

=== 0970UnifiedProgressBar-yo.cs ===
Change Set:		UnifiedProgressBar-yo
Date:			18 September 2006
Author:			Yoshiki Ohshima

Provides a preference that unifies the nested progress into one bar.  Governed by #unifyNestedProgressBars preference.  It prevents the gauge go back in a kind of crude way..

=== 0969Tutorial-start-state-tk.cs ===
Change Set:		Tutorial-start-state-tk
Date:			13 September 2006
Author:			Ted Kaehler

When Author hits Record, Scripting Area is copied and saved. When Author hits Stop, the tape of events is stuffed into the saved Scripting Area. When played, all objects are in their initial state (without Author needing to set them back).  
     Scripting area marked with property #tutorial.
     Saved state in property #primalConfig of recorder.
	The copy of the scripting area is placed on the desktop directly over original Scripting Area. 
	Fixed bug in HandMorphForReplay copying.
	Removed methods #button and #button:.
	Saved bounds and offset, so that Scripting Area can be moved before replay, and it still works.
	Clicking outside the Scripting Area is not supported.  We will want the flaps to be inboard of the Scripting Area.


=== 0968vacuousEventHandler-sw.cs ===
Change Set:		vacuousEventHandler-sw
Date:			18 September 2006
Author:			Scott Wallace

Avoid creation of vacuous event handlers.  The idiom #on:send:to: is sometimes used to *clear* a possibly-existing event handler, but actually (until now) could result in gratuitously *creating* a vacuous one instead.

Also adds a couple of methods useful for tracking down what's happening with event handlers.

Also, since evidently some code (maybe no longer in the image) seems to deploy #nil as a selector to send when an event triggers an EventHandler, this update intercepts any such attempt by generating an error.  This is obviously temporary, just to help us track down where that happens.

=== 0967scriptmenu3-yo.cs ===

=== 0966scriptMenu2-yo.cs ===
Change Set:		scriptMenu2-yo
Date:			18 September 2006
Author:			Yoshiki Ohshima

Fix menus for ScriptEditorMorph.

=== 0965DismissTestTile-yo.cs ===
Change Set:		DismissTestTile-yo
Date:			18 September 2006
Author:			Yoshiki Ohshima

New Test tile from a viewer dissapears when dropped onto the viewer.

=== 0964disableMetaMenu-sw.cs ===
Change Set:		disableMetaMenu-sw
Date:			18 September 2006
Author:			Scott Wallace

If eToyFriendly is true, do not put up the 'meta menu' when the user does a control-click anywhere.

=== 0963maxReadoutWidth-sw.cs ===
Change Set:		maxReadoutWidth-sw
Date:			18 September 2006
Author:			Scott Wallace

Reduce the maximum width of a string-valued etoy readout from 300 to 150.

=== 0962suppliesAndObjCat-sw.cs ===
Change Set:		suppliesAndObjCat-sw
Date:			18 September 2006
Author:			Scott Wallace

Minor adjustments to the Supplies flap and the Basic category of the Objects catalog:
 - Playfield is added to Supplies.
 - Line is removed from Basic.

=== 0961renameGlitch-sw.cs ===
Change Set:		renameGlitch-sw
Date:			18 September 2006
Author:			Scott Wallace

Fixes up a buglet noticed by Kim last Friday:  if the user submits a new script name which is the same as the existing script name except that the first char has been converted to uppercase, the system had not recognized it as the same as the original, and had gratuitously added a digit to the end of the script name in consequence.

=== 0960WaitCursorAndFlap-tak.cs ===
Change Set:		waitCursorAndFlap-tak
Date:			15 September 2006
Author:			Takashi Yamamiya

- Wait cursor on AllScript.
- close navigator flap when project loading

=== 0959LargerColorSeer.cs ===
Change Set:		LargerColorSeer
Date:			15 September 2006
Author:			Yoshiki Ohshima

make color seers bigger.

=== 0958suppliesFlap-sw.cs ===
Change Set:		suppliesFlap-sw
Date:			15 September 2006
Author:			Scott Wallace

Change the items in the olpc supplies flap, as per Kim's list of 14 Sept.

=== 0957categoryViewerOrder-sw.cs ===
Change Set:		categoryViewerOrder-sw
Date:			15 September 2006
Author:			Scott 

Fine-tuning of viewer-category insertion and order.  When a script is launched or renamed, scripts category always now gets inserted into any *open* Viewer flap on the object or any of its siblings, if not already present.  If added, it will be the first, second, or third category in the viewer, depending on the presence or absence of the search and variables categories.
Also, a fix is made so that when a variables pane is automatically added after a var is added, it will appear *after* any existing search pane.
Not yet checked for correctness in other languages -- needs to be done; this gets very confusing...

=== 0956UpdatingFreq-yo.cs ===
Change Set:		UpdatingFreq-yo
Date:			15 September 2006
Author:			Yoshiki Ohshima

Less often update of UpdatingStringMorph.

=== 0955DamageRecorderParam-yo.cs ===
Change Set:		DamageRecorderParam-yo
Date:			15 September 2006
Author:			Yoshiki Ohshima

Not to merge damage rects too eagerly.

=== 0954LessProperties-yo.cs ===
Change Set:		LessProperties
Date:			14 September 2006
Author:			Yoshiki Ohshima

Reduce morphs properties.

=== 0953SlidingScriptor-tak.cs ===
Change Set:		SlidingScriptor-tak
Date:			15 September 2006
Author:			Takashi Yamamiya

- The step of sliding becomes 4 instead of 16 for slower CPU.
- A scriptor slide back if you press dismiss button.


=== 0952CategoryButtons-tak.cs ===
Change Set:		CategoryButtons-tak
Date:			15 September 2006
Author:			Takashi Yamamiya

It modified a bit about category buttons in viewer.

=== 0951FixSavedFont-tak.cs ===
Change Set:		FixSavedScriptorFont-tak
Date:			14 September 2006
Author:			Takashi Yamamiya

Fix some strange font instance

=== 0950ReduceRedMenu-yo.cs ===
Change Set:		ReduceRedMenu-yo
Date:			14 September 2006
Author:			Yoshiki Ohshima

tidy up red halo menu.  It is not the final state, I think.

=== 0949reduceScriptorMenu-yo.cs ===
Change Set:		reduceScriptorMenu-yo
Date:			14 September 2006
Author:			Yoshiki Ohshima

take a few items out from scriptor's menu.

=== 0948FeedbackInScriptor3.cs ===
Change Set:		FeedbackInScriptor3
Date:			14 September 2006
Author:			Yoshiki Ohshima

Remove highlight in mouseDown:.

=== 0947FeedbackInScriptor2.cs ===
Change Set:		FeedbackInScriptor2
Date:			14 September 2006
Author:			Yoshiki Ohshima

I put layoutPolicy on PhraseTileMorph, just to calculate the real extent of its all transitive submorphs.  If there is a simple way of doing so, the hResizing: and vResizing: calls should be replaced.

=== 0946viewerCategoryOrder-sw.cs ===
Change Set:		viewerCategoryOrder-sw
Date:			14 September 2006
Author:			Scott Wallace

Apply new heuristics for deciding which viewer categories to show.

=== 0945ScriptorBorder-tak.cs ===

=== 0944noKedamaWorld-sw.cs ===
Change Set:		noKedamaWorld-sw
Date:			14 September 2006
Author:			Scott Wallace

As per Yoshiki's recommendation, remove the KedamaWorld entry entirely from the Objects catalog; Kedama users only need the 'Particles' guy.

=== 0943objectCatalog-sw.cs ===
Change Set:		objectCatalog-sw
Date:			14 September 2006
Author:			Scott Wallace

Reworking the categories in the Objects catalog.

=== 0942NoRepelInPartsBin.cs ===
Change Set:		NoRepelInPartsBin
Date:			13 September 2006
Author:			Yoshiki Ohshima

One more round of patch so that an object from parts bin doesn't get instanciated when dropped on to a parts bin.

=== 0941TestTileInViewer.cs ===
Change Set:		TestTileInViewer
Date:			13 September 2006
Author:			Yoshiki Ohshima

Put the prototype of TestTile in the tests category of viewer.

=== 0940EvtRcdr-Paint-Path-tk.cs ===
Change Set:		EvtRcdr-Paint-Path-tk
Date:			13 September 2006
Author:			Ted Kaehler

In the EventRecorderMorph, when you press Shrink to squeeze out redundant mouse movement events, don't remove events while painting.  Actions are paint, erase, and stamp.
	SketchEditorMorph finds all active event recorders, and sends them a message.  MorphicUnknownEvents are added to the recorded stream.  Condense sees these and does not condense that part.

=== 0939FeedbackInScriptor.cs ===
Change Set:		FeedbackInScriptor
Date:			13 September 2006
Author:			Yoshiki Ohshima

Adds highlight to the phrases or tiles that would be dragged in a scriptor.  (Cases such as nested tests and code editing by choosing an arithmethic operator are handled property, I think.)

=== 0938KedamaEquality2.cs ===
Change Set:		KedamaEquality2
Date:			12 September 2006
Author:			Yoshiki Ohshima

Generate something other than = for equalitity in scripts.

=== 0937RemoveB3D.cs ===
Change Set:		RemoveB3D
Date:			12 September 2006
Author:			Andreas Raab

Remove B3D remnants for OLPC

=== 0936KedamaEquality.cs ===
Change Set:		KedamaEquality
Date:			12 September 2006
Author:			Yoshiki Ohshima

Generate something other than = for equalitity in scripts.

=== 0935LargerArrows-tak.cs ===
Change Set:		LargerArrows-tak
Date:			12 September 2006
Author:			Takashi Yamamiya

Arrows for change numeric value are larger.

=== 0934langNameInUnloadedFont.cs ===
Change Set:		langNameInUnloadedFont
Date:			12 September 2006
Author:			Yoshiki Ohshima

Show the names of exotic languages with bitmap in the native appearance.

=== 0933paintBoxChanges-sw.cs ===
Change Set:		paintBoxChanges-sw
Date:			12 September 2006
Author:			Scott Wallace

Remap the pen-size buttons in the paintbox to larger nibs.
Remove the rotation and scale handles from the paintbox.

=== 0932FontForNewLCD-tak.cs ===
Change Set:		FontForNewLCD-tak
Date:			12 September 2006
Author:			Takashi Yamamiya

Font for 1200 x 900 display.

=== 0931navBar-sw.cs ===
Change Set:		navBar-sw
Date:			12 September 2006
Author:			Scott Wallace

Reconfigure the simple nav-bar as per agreements today.

=== 0930palerDetailedWatcher-sw.cs ===
Change Set:		palerDetailedWatcher-sw
Date:			12 September 2006
Author:			Scott Wallace

Make colour of detailed watcher a bit lighter.

=== 0929GrabOffset-ar.cs ===
Change Set:		GrabOffset-ar
Date:			12 September 2006
Author:			Andreas Raab

Add an offset when tiles get dragged from the viewer.

=== 0928EvtRecFromHand-ar.cs ===
Change Set:		EventRecorderFromHand-ar
Date:			12 September 2006
Author:			Andreas Raab

Allow querying for an active event recorder from the hand.

=== 0927guardDivZeroThumbnail.cs ===
Change Set:		guardDivZeroThumbnail
Date:			12 September 2006
Author:			Yoshiki Ohshima

Avoid zero division when making thumbnail.

=== 0926NoRepelInViewerAgain.cs ===
Change Set:		NoRepelInViewerAgain
Date:			11 September 2006
Author:			Yoshiki Ohshima

Fix a quick hack with another one.

=== 0925NoRepelInViewer.cs ===

=== 0924AutoStray.cs ===

=== 0918BlankGlyphForSep.cs ===
Change Set:		BlankGlyphForSep
Date:			8 September 2006
Author:			Yoshiki Ohshima

calls blankGlyphForSeparators upon importing a TT font.

=== 0917OmitViewerMenu2-tak.cs ===
Change Set:		OmitViewerMenu2-tak
Date:			7 September 2006
Author:			Takashi Yamamiya

- Show try it button by a user script.

Yoshiki's Request
- Remove search pane on viewer.
- Change text script button to menu button on a scriptor.
- Remove menu function on a title of a scriptor.


=== 0916OmitViewerMenu-tak.cs ===
Change Set:		OmitViewerMenu-tak
Date:			6 September 2006
Author:			Takashi Yamamiya

- remove menu from viewer line if it is a command

=== 0915LoadingProgressBar-tak.cs ===
Change Set:		LoadingProgressBar-tak
Date:			6 September 2006
Author:			Takashi Yamamiya

It shows accurate progress bar when loading a project.
Instead of guessing based on history, it shows a progress bar from actual number of progress.

Note: #asUnZippedStream shows a progress bar anytime (is that OK?).



=== 0911fileoutClassComment-sw.cs ===
Change Set:		fileoutClassComment-sw
Date:			6 September 2006
Author:			Scott Wallace

In an image running without sources, filing out class comments resulted in errors; this update circumvents two such errors.

=== 0910FontMisc-tak.cs ===
Change Set:		FontMisc-tak
Date:			2 September 2006
Author:			Takashi Yamamiya

Consistent font setting in
- Navigator
- Name in halo
- Object Catalog
- Text
- Press me button


=== 0909CursorWait-tak.cs ===
Change Set:		CursorWait-tak
Date:			2 September 2006
Author:			Takashi Yamamiya

Add wait cursor into slow operation.

- showing paint tool (1.5 sec)
- showing viewer (2.0 sec)
- making new scriptor (3.0 sec)
- change category (4.0 sec)
- add new variable (6.0 sec)
- remove script (2.0 sec)
- remove variable (over 10 sec, it need progress bar)

=== 0908EToysBenchmark2-tak.cs ===
Change Set:		EToysBenchmark2-tak
Date:			2 September 2006
Author:			Takashi Yamamiya

- get avarage of five times of each benchmark.

=== 0907SIMDKedama.cs ===
Change Set:		SIMDKedama
Date:			1 September 2006
Author:			Yoshiki Ohshima

Merged changeset for the predicated statement wise execution model.

One method, KedamaAttributeDefinition >> generateSemanticRuleSignatureInput, manually patched by sw 9/3/2006 02:50 to circumvent failure when loading into the olpc plug-in which has no source files.



=== 0906EToysBenchmark-tak.cs ===
Change Set:		EToysBenchmark-tak
Date:			1 September 2006
Author:			Takashi Yamamiya

Handy etoys benchmark.

Transcript open.
Transcript cr; show: ScriptingSystem macroBenchmark


=== 0905ThemeFix-tak.cs ===
Change Set:		ThemeFix-tak
Date:			1 September 2006
Author:			Takashi Yamamiya

- Add 'cambridge' theme for OLPC settings.
- Clean up unused theme.
- Revert drop shadow (Actually, drop shadow doesn't have too much impact when you drop a morph).


=== 0903FlapLook-tak.cs ===
Change Set:		FlapLook-tak
Date:			30 August 2006
Author:			Takashi Yamamiya

Flap and other design modification.

- disable rounded corner in flap and viewer
- icon buttons.
- get rid of translucence flap below a viewer.
- get rid of translucence shadow when you picked an object up.
- etoys font.

Althogh this change set includes many methods, almost changes are minor fixes.


=== 0902floatFrameRate.cs ===
Change Set:		floatFrameRate
Date:			1 March 2005
Author:			Yoshiki Ohshima

Slightly precise display in FrameRateMorph.

=== 0901Unicode-phase3-yo.cs ===

=== 0900Unicode-phase2-kwl.cs ===
Change Set:		Unicode-kwl
Date:			30 June 2006
Author:			Klaus D. Witzel

< use only the new categories for isDigit, isLetter, isLowercase and isUppercase >

=== 0899Unicode-phase1-kwl.cs ===
Change Set:		Unicode-kwl
Date:			30 June 2006
Author:			Klaus D. Witzel

< use the old and the new categories for isDigit, isLetter, isLowercase and isUppercase
  then rewrite the GeneralCategory SparseLargeTable >

=== 0898fasterLaunchScript-sw.cs ===
Change Set:		fasterLaunchScript-sw
Date:			20 August 2006
Author:			Scott Wallace

Speed up the launch of a new script, as well as the renaming of a script, by only updating viewer panes that are showing the scripts category.

=== 0897profilingCrutches-sw.cs ===
Change Set:		profiingCrutches-sw
Date:			20 August 2006
Author:			Scott Wallace

Some additions in aid of profiling etoy performance.

=== 0895firstOLPCUpdate-sw.cs ===
Change Set:		firstOLPCUpdate-sw
Date:			17 August 2006
Author:			Scott Wallace

The first update for the OLPC1.0 update stream.
